## org.apache.bcel.verifier.structurals
Class ExceptionHandlers

    java.lang.Object
      org.apache.bcel.verifier.structurals.ExceptionHandlers

    public class ExceptionHandlers

extends Object

This class allows easy access to ExceptionHandler objects.

Version:
  $Id: ExceptionHandlers.java 386056 2006-03-15 11:31:56Z tcurdt $

Constructor Summary
`ExceptionHandlers(MethodGen mg)` Constructor.

Method Summary
`ExceptionHandler[]` `getExceptionHandlers(InstructionHandle ih)` Returns all the ExceptionHandler instances representing exception handlers that protect the instruction ih.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExceptionHandlers

    public ExceptionHandlers(MethodGen mg)

  Constructor. Creates a new ExceptionHandlers instance.

Method Detail

### getExceptionHandlers

    public ExceptionHandler[] getExceptionHandlers(InstructionHandle ih)

  Returns all the ExceptionHandler instances representing exception handlers that protect the instruction ih.

Copyright © 2002-2006 Apache Software Foundation. All Rights Reserved.